Subject: Re: 2.6.16.11 BUG at tg3.c:2917

From: "Ed L. Cashin" <[email-masked]>
Date: Thu, 27 Apr 2006 17:04:54 -0400

On Thu, Apr 27, 2006 at 08:45:24AM -0700, Michael Chan wrote:
> On Thu, 2006-04-27 at 12:52 -0400, Ed L. Cashin wrote:
> > -- [please bite here ] ---------
> > Kernel BUG at drivers/net/tg3.c:2917
> > invalid opcode: 0000 [1] SMP 
> > CPU 0 
> 
> Most likely caused by IO re-ordering. Try the test patch in this
> discussion:
> 
> http://marc.theaimsgroup.com/?l=linux-netdev&m=113890239404768&w=2

I'm afraid I might be generating noise here.  After my initial post I
found that I cannot trigger a panic without the latest changes to the
aoe driver in place.  I haven't been able to trigger a panic using the
aoe driver inside 2.6.16.11.

I think we've identified the problem in the aoe driver, but if I'm
wrong, I will certainly try the TG3_FLAG_MBOX_WRITE_REORDER patch you
mention.

-- 
  Ed L Cashin <[email-masked]>